#ifndef CAMERAPANEL_H
#define CAMERAPANEL_H

#include <QWidget>

class QMenu;
class QVBoxLayout;
class QGridLayout;
class QLabel;

class CameraBox;

class CameraPanel : public QWidget
{
    Q_OBJECT

public:
    explicit CameraPanel(QWidget *parent = 0);
    ~CameraPanel();

protected:
    bool eventFilter(QObject *watched, QEvent *event);

private slots:
    void initUI();
    void doAction();

    // 画面布局切换信号
    void changeCamera(int type, const QString &videoType, bool videoMax);

private:
    QVBoxLayout *mMainVLayout;
    QGridLayout *mGLayout;
    QLabel *mLabel;

    bool max;
    QMenu *menu;
    CameraBox *box;

};

#endif // CAMERAPANEL_H
